add_library(libEcDemoLib STATIC
EcDemoParms.cpp
EcDemoTimingTask.cpp
EcLogging.cpp
EcNotification.cpp
EcSdoServices.cpp
EcSelectLinkLayer.cpp
EcSlaveInfo.cpp
PMC_Acontis_Examples.cpp
Linux/EcDemoMain.cpp
Linux/EcDemoTimingTaskPlatform.cpp)

target_include_directories(libEcDemoLib PUBLIC .)
target_include_directories(libEcDemoLib PUBLIC Linux)

target_link_libraries(libEcDemoLib ${Acontis_LIBRARIES} ${Acontis_EXTRA_LIBRARIES})
